import request from '@/utils/request'

// 查询列表
  export function listMemberCard(query) {
  return request({
    url: '/api/sc/memberCardTypes/list/searchList',
    method: 'get',
    params: query
  })
}


// select
export function select(query) {
  return request({
    url: '/api/sc/memberCardTypes/list/select',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getMemberCard(cardId) {
  return request({
    url: '/api/sc/memberCardTypes/info/detailById/' + cardId,
    method: 'get'
  })
}

// 新增
export function addMemberCard(data) {
  return request({
    url: '/api/sc/memberCardTypes/add/memberCardTypes',
    method: 'post',
    data: data
  })
}

// 修改
export function updateMemberCard(data) {
  return request({
    url: '/api/sc/memberCardTypes/update/updateMemberCardTypes',
    method: 'put',
    data: data
  })
}export function editSale(data) {
  return request({
    url: '/api/sc/memberCardTypes/update/editSale',
    method: 'put',
    data: data
  })
}

// 删除
export function delMemberCard(cardIds) {
  return request({
    url: '/api/sc/memberCardTypes/delete/deleteById/' + cardIds,
    method: 'delete'
  })
}




